VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
CDragContainerHelper Class Reference
New classes » Version 4.2

Helper class to port old code which used CDragContainer. More...

`#include <cview.h>`

## Public Types
enum | CDragType { kFile = 0 , kText , kUnicodeText , kUnknown = -1 , kError = -2 }

## Public Member Functions
| CDragContainerHelper (IDataPackage *drag)
| CDragContainerHelper ()=delete
void * | first (int32_t &size, int32_t &type)
void * | next (int32_t &size, int32_t &type)
int32_t | getType (int32_t idx) const
int32_t | getCount () const

## Protected Attributes
IDataPackage * | drag {nullptr}
int32_t | index {0}

## Detailed Description

Helper class to port old code which used CDragContainer.

## Member Enumeration Documentation

## ◆ CDragType

enum CDragType

Enumerator
kFile | File (MacOSX = UTF8 String)
kText | ASCII Text.
kUnicodeText | UTF8 Text.
kUnknown |
kError |

## Constructor & Destructor Documentation

## ◆ CDragContainerHelper() [1/2]

CDragContainerHelper | ( | IDataPackage * | drag | ) |
| explicit

## ◆ CDragContainerHelper() [2/2]

CDragContainerHelper | ( |  | ) |
| delete

## Member Function Documentation

## ◆ first()

void * first | ( | int32_t & | size,
|  | int32_t & | type )

## ◆ getCount()

int32_t getCount | ( |  | ) | const

## ◆ getType()

int32_t getType | ( | int32_t | idx | ) | const

## ◆ next()

void * next | ( | int32_t & | size,
|  | int32_t & | type )

## Member Data Documentation

## ◆ drag

IDataPackage* drag {nullptr}
| protected

## ◆ index

int32_t index {0}
| protected

The documentation for this class was generated from the following files:

- cview.h
- cview.cpp